//---------------------------------------------------------------------------

#ifndef uEnvoiGEDH
#define uEnvoiGEDH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CBitBtn.h"
#include "CEdit.h"
#include "CGBox.h"
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "OpenDirectory.h"
#include "CRadBtn.h"
#include "CComboBx.h"
//---------------------------------------------------------------------------
class TEnvoiGED : public TForm
{
__published:	// Composants gérés par l'EDI
  TPanel *pnlbouton;
  TBitBtn *btAnnuler;
  TBitBtn *btEnvoyer;
  TPanel *pnlNomDoc;
  TPanel *edDoc;
  COpenDirectory *odChoixRep;
  TPanel *pnlDest;
  TLabel *Label7;
  TRadioButton *rbDestClasse;
  TRadioButton *rbDestPaniere;
  TPanel *pnlPaniere;
  TLabel *lblDestPaniere;
  TRadioButton *rbPDF;
  CGroupBox *gbDest;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *lIntercalaire;
  TEdit *edArmoire;
  TEdit *edRayon;
  TEdit *edClasseur;
  TEdit *edChemise;
  TEdit *edDossier;
  TBitBtn *btRefresh;
  TEdit *edIntercalaire;
  CEdit *edNomDoc;
  CRadioButton *rbPdfEtat;
  CRadioButton *rbPdfTouteSel;
  TBitBtn *bOpenDir;
    CComboBox *eRep;
  TLabel *lblDocCourant;
  TLabel *Label8;
  TLabel *lblChoixClassement;
  TCheckBox *cbFusion;
  void __fastcall btRefreshClick(TObject *Sender);
  void __fastcall btEnvoyerClick(TObject *Sender);
  void __fastcall rbDestClick(TObject *Sender);
  void __fastcall bOpenDirClick(TObject *Sender);
  void __fastcall eRepChange(TObject *Sender);
    void __fastcall rbPdfEtatClick(TObject *Sender);
    void __fastcall rbPdfTouteSelClick(TObject *Sender);
  void __fastcall rbPdfTouteSelCheck(TObject *Sender, bool bIsChecked);
  void __fastcall cbFusionClick(TObject *Sender);
  void __fastcall rbPdfEtatCheck(TObject *Sender, bool bIsChecked);
  void __fastcall rbPDFClick(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
private:	// Déclarations utilisateur
  Variant *m_pvGedEIC, m_vGedEICPaniere;
  TStringList *m_LstSelectionGED;
  void __fastcall RefreshSelectionGED();
  void __fastcall RefreshSelectionGEDPaniere();
  void __fastcall GestionActivationSaisieDuNomDuDocument();
public:		// Déclarations utilisateur
//  AnsiString m_asNomDoc;
  __fastcall TEnvoiGED(TComponent* Owner, Variant *pvGedEIC);
  __fastcall ~TEnvoiGED();
  AnsiString __fastcall GetClassementGED();
};
void __fastcall ChargerChemin( TStrings *lChemins,const AnsiString &asChemin );
void __fastcall SauvegarderChemin( TStrings *lChemins,const AnsiString &asChemin );
//---------------------------------------------------------------------------
#endif
